Bug 1879868 - "sysctl -a" returning binary junk for sunprc.transports key
Summary: "sysctl -a" returning binary junk for sunprc.transports key
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: procps-ng
Version: 33
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jan Rybar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 08:57 UTC by Luke Bigum
Modified: 2020-11-04 08:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Luke Bigum 2020-09-17 08:57:28 UTC
Description of problem:

Output of `sysctl -a` returns binary junk data for "sunrpc.transports" key.  The contents returned is not static, it changes every time.  It could be an issue with the sunrpc kernel module.

If you request the value of the key directly, it is empty.  If you `cat /proc/sys/sunrpc/transports` it is also empty.

Version-Release number of selected component (if applicable):

Affects both Fedora 31 or 32.  Fedora 30 does not have this problem.

How reproducible:

Always

Steps to Reproduce:
1. sysctl -a


Actual results:

# sysctl -a
...
sunrpc.transports = 0��$`
# sysctl -a
...
sunrpc.transports = 0AV��
# sysctl -a
...
sunrpc.transports = 0�՗


Expected results:

An ASCII parseable string as a result.


Additional info:

Noticed because some of our management tools (Puppet) are calling `sysctl -a` and parsing the output, seeing the binary data and trying to convert it from UTF-8, and failing.

Comment 1 Markus Linnala 2020-10-02 10:16:57 UTC
I see this in F32.

procps-ng-3.3.16-1.fc32.x86_64
kernel 5.8.12-200.fc32.x86_64

To mitigate Puppet problem, you can hotpatch: augeasproviders_sysctl/lib/puppet/provider/sysctl/augeas.rb

After:
    sysctl('-a').each_line do |line|
Add:
      line = line.force_encoding("US-ASCII").scrub("")

Comment 2 Markus Linnala 2020-10-17 19:14:42 UTC
I see this also in F33

procps-ng-3.3.16-1.fc33.x86_64
kernel-5.8.15-301.fc33.x86_64

Comment 3 Ben Cotton 2020-11-03 17:16:48 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.